Bug 40062 - in etqw the strogg radar is black (regression)
Summary: in etqw the strogg radar is black (regression)
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
Depends on:
Reported: 2011-08-13 10:45 UTC by almos
Modified: 2011-09-18 18:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:

stderr with RADEON_DEBUG=fp (1.81 MB, text/plain)
2011-08-13 10:45 UTC, almos
Verbose patch (478 bytes, patch)
2011-09-16 20:19 UTC, Tom Stellard
Details | Splinter Review
stderr_wrong.txt (2.15 MB, text/plain)
2011-09-17 03:40 UTC, almos
stderr_good.txt.gz (241.59 KB, application/x-gzip)
2011-09-17 03:42 UTC, almos
Possible Fix (1.26 KB, patch)
2011-09-17 13:32 UTC, Tom Stellard
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description almos 2011-08-13 10:45:18 UTC
Created attachment 50186 [details]
stderr with RADEON_DEBUG=fp

With shader detail=high the strogg radar becomes completely black. I think this corresponds to the two compiler errors (log attached).
Comment 1 almos 2011-08-13 10:46:18 UTC
I forgot to mention that this used to work couple of months ago.
Comment 2 Alex Deucher 2011-08-13 11:51:23 UTC
Can you bisect?
Comment 3 almos 2011-08-20 13:13:40 UTC
(In reply to comment #2)
> Can you bisect?

217cd216eac65983004ca77a9e49dbfad1b720b6 is the first bad commit
commit 217cd216eac65983004ca77a9e49dbfad1b720b6
Author: Tom Stellard <tstellar@gmail.com>
Date:   Tue May 17 18:51:20 2011 -0700

    r300/compiler: Fix bug in rc_get_variables()
    Variables that write to the same source select need to pe paired
    together otherwise the register allocator might fail.

:040000 040000 a1d3852986919d6ae3449a06a8b3dc43afe90689 2a8531a9541ae918d70bff7911025fed709e7b6b M	src

I think this issue is duplicate of #36939, despite looking entirely different, bisect found the same commit.
Comment 4 Tom Stellard 2011-09-16 20:19:38 UTC
Created attachment 51277 [details] [review]
Verbose patch

Can you apply this patch and post the output of RADEON_DEBUG=fp again?
Comment 5 almos 2011-09-17 03:40:09 UTC
Created attachment 51284 [details]
Comment 6 almos 2011-09-17 03:42:52 UTC
Created attachment 51285 [details]

I applied the reverse of commit 217cd216eac65983004ca77a9e49dbfad1b720b6 to the compiler, and recorded stderr again with correct rendering.

And this time I didn't forget to compress it before uploading.
Comment 7 Tom Stellard 2011-09-17 13:32:58 UTC
Created attachment 51295 [details] [review]
Possible Fix

Can you try this patch?  If it doesn't work, can you post the output again?
Comment 8 almos 2011-09-18 01:52:26 UTC
The patch fixed this one and #36939. Thanks.
Comment 9 Tom Stellard 2011-09-18 18:04:06 UTC
Fixed in git commit 2d1004d9aa719bb93a4f057b0eefe88f23b44e44

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.